Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Class BatikHistogramNormalizationFilter8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.extension.svg.BatikHistogramNormalizationFilter8Bit

All Implemented Interfaces:
  RenderableImage, Filter, FilterColorInterpolation, BatikHistogramNormalizationFilter

    public class BatikHistogramNormalizationFilter8Bit

extends AbstractColorInterpolationRable
implements BatikHistogramNormalizationFilter

Field Summary
`protected int[]` | `histo`
`protected float` | `intercept`
`protected float` | `slope`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`BatikHistogramNormalizationFilter8Bit(Filter src, float trim)`

Method Summary
`void` | `computeHistogram(RenderContext rc)` This method computes the histogram of the image and from that the appropriate clipping points, which leads to a slope and intercept for a LinearTransfer function
`RenderedImage` | `createRendering(RenderContext rc)`
`Filter` | `getSource()` Returns the source of the operation
`float` | `getTrim()` Returns the trim percent for this normalization.
`void` | `setSource(Filter src)` Sets the source of the operation
`void` | `setTrim(float trim)` Sets the trim percent for this normalization.

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Field Detail

### histo

    protected int[] histo

### slope

    protected float slope

### intercept

    protected float intercept

Constructor Detail

### BatikHistogramNormalizationFilter8Bit

    public BatikHistogramNormalizationFilter8Bit(Filter src,
                                                 float trim)

Method Detail

### setSource

    public void setSource(Filter src)

  Sets the source of the operation

  Specified by:
    `setSource` in interface `BatikHistogramNormalizationFilter`
  Parameters:
    `src` - image to offset.

### getSource

    public Filter getSource()

  Returns the source of the operation

  Specified by:
    `getSource` in interface `BatikHistogramNormalizationFilter`

### getTrim

    public float getTrim()

  Returns the trim percent for this normalization.

  Specified by:
    `getTrim` in interface `BatikHistogramNormalizationFilter`

### setTrim

    public void setTrim(float trim)

  Sets the trim percent for this normalization.

  Specified by:
    `setTrim` in interface `BatikHistogramNormalizationFilter`

### computeHistogram

    public void computeHistogram(RenderContext rc)

  This method computes the histogram of the image and from that the appropriate clipping points, which leads to a slope and intercept for a LinearTransfer function

  Parameters:
    `rc` - We get the set of rendering hints from rc.

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.